function verify_packages_installed() {
  local -r packages=("$@")

  for package in "${packages[@]}"; do
    if ! os_is_package_installed "${package}"; then
      loginfo "Error: package ${package} is not installed as expected"
      return 1
    fi

    loginfo "Info: package ${package} is installed as expected"
  done
}

function mark_packages_to_uninstall() {
  for package in "$@"; do
    touch "${DATAPROC_TMP_DIR}/uninstall/${package}"
  done
}

function mark_packages_to_uninstall_pre_activate() {
  for package in "$@"; do
    touch "${DATAPROC_TMP_DIR}/uninstall-pre-activate/${package}"
  done
}

function list_packages_to_uninstall() {
  find "${DATAPROC_TMP_DIR}/uninstall/" -type f -exec basename {} \;
}

function list_packages_to_uninstall_pre_activate() {
  find "${DATAPROC_TMP_DIR}/uninstall-pre-activate/" -type f -exec basename {} \;
}
