#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_env.sh"
source "$(dirname "$0")/../../bdutil_logging.sh"
source "$(dirname "$0")/../../bdutil_retry.sh"
source "$(dirname "$0")/../../bdutil_networking.sh"
source "$(dirname "$0")/../../bdutil_metadata.sh"
source "$(dirname "$0")/../../bdutil_properties.sh"
source "$(dirname "$0")/../../bdutil_components.sh"
source "$(dirname "$0")/../../bdutil_services.sh"
source "$(dirname "$0")/../shared/hive.sh"

set -x

function configure_hive_hbase() {
  # Add HBase classpath to Hive
  if is_component_selected hbase; then
    sed -i 's#^Environment=SKIP_HBASECP=true$#Environment=SKIP_HBASECP=false#' \
      /etc/systemd/system/hive-server2.service.d/hive-hbase.conf
    retry_constant systemctl daemon-reload
  fi
}

function activate_hive_server2() {
  if [[ "${ROLE}" == "Master" ]]; then
    configure_hive_hbase
    if is_component_selected "hdfs"; then
      echo "Delaying starting Hive server until HDFS is ready"
    else
      start_hive_server2
    fi
  else
    echo "Skip running Hive server on ${ROLE} node ${HOSTNAME}"
  fi
}

activate_hive_server2
