#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_env.sh"
source "$(dirname "$0")/../../bdutil_logging.sh"
source "$(dirname "$0")/../../bdutil_retry.sh"
source "$(dirname "$0")/../../bdutil_properties.sh"
source "$(dirname "$0")/../../bdutil_services.sh"
source "$(dirname "$0")/../../bdutil_components.sh"

set -x

if [[ "${ROLE}" == "Master" ]]; then
  if is_component_selected "hdfs"; then
    echo "Delaying starting MapReduce history server until HDFS is ready"
  elif [[ "${MASTER_INDEX?}" == "0" ]]; then
    start_service hadoop-mapreduce-historyserver
  else
    echo "Skip running MapReduce history server on master node ${HOSTNAME}"
  fi
else
  echo "Skip running MapReduce history server on ${ROLE} node ${HOSTNAME}"
fi
