#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_logging.sh"
source "$(dirname "$0")/../../bdutil_retry.sh"
source "$(dirname "$0")/../../bdutil_properties.sh"
source "$(dirname "$0")/../../bdutil_components.sh"
source "$(dirname "$0")/../../bdutil_networking.sh"
source "$(dirname "$0")/../shared/miniconda3.sh"
source "$(dirname "$0")/../shared/effective-python.sh"
source "$(dirname "$0")/../shared/configure_conda_env.sh"

set -x

# Determine effective python.
install_effective_python_profile

customize_conda_env "${MINICONDA3_INSTALL_PATH}" "${MINICONDA3_BIN_DIR}"

# Prepare NFS mount directory for installing pypi packages.
if [[ "${DATAPROC_IMAGE_TYPE}" == "serverless-spark" ]] &&
    is_component_selected 'nfs'; then
  mkdir -p "${NFS_PACKAGE_MOUNT_LOCAL_PATH}"
  chown -R spark:spark "${NFS_PACKAGE_MOUNT_LOCAL_PATH}"
fi
