#!/bin/bash

set -euxo pipefail

DATAPROC_MASTER_EXCLUSIVE_SERVICES+=(jupyter)
DATAPROC_OPTIONAL_COMPONENTS+=(jupyter)

# Install Latex packages to ensure that Jupyter notebook export works
DATAPROC_COMMON_PACKAGES+=(texlive-xetex)
if is_debian12; then
  # Exclude the installation of default jre, inherited from one of the
  # sub-dependencies of texlive-xetex.
  # Can exclude a specific package by adding hyphen at the end.
  # https://askubuntu.com/questions/1011295/no-install-recommends-only-specified-packages/1011439#1011439
  DATAPROC_COMMON_PACKAGES+=(default-jre-)
fi
if is_rocky; then
  DATAPROC_COMMON_PACKAGES+=(
    texlive-collection-fontsrecommended
    texlive-collection-latexrecommended
    texlive-latex-fonts)
else
  DATAPROC_COMMON_PACKAGES+=(texlive-fonts-recommended texlive-plain-generic)
fi
