# The `yarn` component includes both debian packages and a custom install.sh.
DATAPROC_OPTIONAL_COMPONENTS+=(yarn)
DATAPROC_COMMON_PACKAGES+=(yarn)
DATAPROC_MASTER_SERVICES+=(hadoop-yarn-resourcemanager)
DATAPROC_WORKER_SERVICES+=(hadoop-yarn-nodemanager)

# Run YARN app timeline server v1, which only runs on a single node
# with a local database.
#
# Technically ATSv2 is built more scalably, supporting
# running on multiple nodes and with a distributed database (HBase). However,
# it requires HBase co-processors, so it is non-trivial to set up.
#
# So for now, just run ATSv1 on one master.
DATAPROC_MASTER_EXCLUSIVE_SERVICES+=('hadoop-yarn-timelineserver')
