#!/bin/bash
set -euo pipefail

source "$(dirname "$0")/../../bdutil_env.sh"
source "$(dirname "$0")/../../bdutil_helpers.sh"

set -x

function download_license() {
  mkdir -p "${DATAPROC_DIR}/licenses"
  local -r docker_license_url="https://raw.githubusercontent.com/docker/docker-ce/master/components/engine/LICENSE"
  curl -fsS --retry-connrefused --retry 10 --retry-max-time 30 \
    "${docker_license_url}" -o "${DATAPROC_DIR}/licenses/DOCKER_LICENSE"
}

os_update_repo
os_lock_docker_package
os_install_packages docker-ce
download_license
