#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_helpers.sh"
source "$(dirname "$0")/../shared/flink.sh"

set -x

function install_flink_metrics_jar() {
  if [[ "${DATAPROC_IMAGE_VERSION}" == '2.0' ]]; then
    download_resource \
      'gs://dataproc-flink-metrics-jars/flink-metrics-statsd-1.12.5.jar' \
      "${FLINK_INSTALL_DIR}/plugins/statsd/flink-metrics-statsd-1.12.5.jar"
  elif [[ "${DATAPROC_IMAGE_VERSION}" == '2.1' ]]; then
    download_resource \
      'gs://dataproc-flink-metrics-jars/flink-metrics-statsd-1.15.3.jar' \
      "${FLINK_INSTALL_DIR}/plugins/statsd/flink-metrics-statsd-1.15.3.jar"
  elif [[ "${DATAPROC_IMAGE_VERSION}" == '2.2' ]]; then
    download_resource \
      'gs://dataproc-flink-metrics-jars/flink-metrics-statsd-1.17.1.jar' \
      "${FLINK_INSTALL_DIR}/plugins/statsd/flink-metrics-statsd-1.17.1.jar"
  fi
}

os_install_packages flink || err "Unable to install Flink"
install_flink_metrics_jar