#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_helpers.sh"
source "$(dirname "$0")/../shared/kerberos.sh"

set -x

os_install_packages "${KERBEROS_LIBRARIES[@]}"
# Rocky Linux by default has assertion on kpropd.acl file not to be present.
# Remove this assertion to be consistent with debian. This assertion also
# prevents kadmin service restart in case of HA mode.
if [[ -f "/usr/lib/systemd/system/${KADMIN_SERVICE}.service" ]]; then
  sed -i '/AssertPathExists=.*kpropd.acl/d' "/usr/lib/systemd/system/${KADMIN_SERVICE}.service"
fi
# TODO: replace with global policy-rc.d
systemctl disable "${KERBEROS_SERVICES[@]}"
