#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_helpers.sh"

set -x

os_install_packages "knox" || err "Failed to install knox"

# Knox service starts and keeps on failing on Rocky Linux.
# Per the service definition, systemd will keep on restarting the service
# and each attempt will create a directory in /tmp and will use up a
# considerable amount of disk space.
# We stop and disable the service here during image build step.
# The activate script will start it when cluster is created.
systemctl stop knox
systemctl disable knox
