#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_helpers.sh"
source "$(dirname "$0")/../shared/ranger_gcs_plugin.sh"

set -x

function copy_ranger_gcs_plugin_client_jar() {
  local client_jar
  client_jar=$(ls "${RANGER_GCS_PLUGIN_BASE_DIR}"/ranger-gcs-authorization-client*.jar)
  cp -p "${client_jar}" "${DATAPROC_COMMON_LIB_DIR}/ranger_gcs_plugin_client.jar"
}

os_install_packages "ranger" || err "Failed to install ranger"

# We have to link the jar here so that the agent can pick up the new jar
# without a restart during startup time.
# This has a side effect that the jar will be loaded whether the plugin is
# enabled or not.
# TODO  Enable Ranger GCS Plugin for Image 2.1
if ! is_version_at_least "${DATAPROC_IMAGE_VERSION}" "2.1"; then
  copy_ranger_gcs_plugin_client_jar
fi
