#!/bin/bash

set -euo pipefail

source "${BDUTIL_DIR}/bdutil_versions.sh"
source "${BDUTIL_DIR}/bdutil_logging.sh"

set -x

# Write logs to Cloud Logging
function configure_log_driver() {
  mkdir -p /etc/docker
  cat >/etc/docker/daemon.json <<EOF
{"log-driver": "gcplogs"}
EOF
}

# The images / UCP agent installation dirs would be deleted during cluster startup if not needed.
if is_version_at_least "${DATAPROC_IMAGE_VERSION}" "2.2"; then
  systemctl start docker
  source "${BDUTIL_DIR}/configure_containerised_agents.sh"
  fetch_monitoring_agent_image
  fetch_logging_agent_image
  install_ucp_monitoring_agent
fi

# stop docker services here, and start in activate script
# docker.socket is available only on image 2.1+
if (systemctl -q status docker.socket); then
  systemctl stop docker.socket
  systemctl disable docker.socket
fi
systemctl stop docker
systemctl disable docker

configure_log_driver
