#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../shared/flink.sh"
source "$(dirname "$0")/../../bdutil_logging.sh"

set -x

set_log_tag "post-install-component-flink"

function configure_flink_classpath() {
  # Add Dataproc common libs (e.g. connectors) to Flink class path.
  patch --merge --ignore-whitespace "${FLINK_INSTALL_DIR}/bin/config.sh" <<'EOF'
@@ -39,7 +39,8 @@ constructFlinkClassPath() {
         exit 1
     fi

-    echo "$FLINK_CLASSPATH""$FLINK_DIST"
+    # Add Dataproc common libs (e.g. connectors) to Flink class path.
+    echo "$FLINK_CLASSPATH""$FLINK_DIST"":$DATAPROC_COMMON_LIB_DIR/*"
 }

 findFlinkDistJar() {
EOF
}

configure_flink_classpath