#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_env.sh"
source "$(dirname "$0")/../../bdutil_helpers.sh"
source "$(dirname "$0")/../shared/miniconda3.sh"

set -x

set_log_tag "post-install-component-miniconda3"

# Tell miniconda3 about pyspark.
pip install -e file:///usr/lib/spark/python

# Remove undesired binaries from Conda bin/, otherwise it might shield the
# desired ones in other locations.
if [[ "${DATAPROC_IMAGE_TYPE}" == "standard" ]]; then
  readonly BLOCKLISTED_FILES=(beeline)
  for blocklisted_file in "${BLOCKLISTED_FILES[@]}"; do
    rm -f "${MINICONDA3_BIN_DIR}/${blocklisted_file}"
  done
fi

if [[ "${DATAPROC_IMAGE_TYPE}" == "serverless-spark" ]] ||
    is_version_at_least "${DATAPROC_IMAGE_VERSION}" "2.0"; then
  rm -rf "${DATAPROC_TMP_DIR}/conda/install"
fi
