#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_env.sh"
source "$(dirname "$0")/../../bdutil_helpers.sh"
source "$(dirname "$0")/../shared/conda.sh"
source "$(dirname "$0")/../shared/miniconda3.sh"

set -x

# rpcbind port
readonly RPCBIND_PORT=111

# Disable rpcbind for serverless by default
function disable_rpcbind_service() {
  systemctl disable rpcbind.service rpcbind.socket rpcbind.target
}

# Disable nfs server by default
function disable_nfs_server() {
  systemctl disable nfs-kernel-server
}

# Only allow local connection for rpcbind
function rpcbind_only_allow_localhost_access() {
  iptables -A INPUT -p tcp --dport ${RPCBIND_PORT} -s 127.0.0.1 -j ACCEPT
  iptables -A INPUT -p tcp --dport ${RPCBIND_PORT} -j DROP
}

if [[ "${DATAPROC_IMAGE_TYPE}" == "serverless-spark" ]]; then
  disable_rpcbind_service
  rpcbind_only_allow_localhost_access

  disable_nfs_server
fi