#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_helpers.sh"
source "$(dirname "$0")/../shared/rubix.sh"

set -x

set_log_tag "post-install-component-rubix"

readonly RUBIX_CONF_DIR='/etc/rubix'

function configure_log4j_bks() {
  cat >>"${RUBIX_CONF_DIR}/log4j_bks.properties" <<'EOF'
log4j.rootLogger=INFO, R

log4j.appender.R=org.apache.log4j.RollingFileAppender
log4j.appender.R.File=/var/log/rubix/bks.log
log4j.appender.R.MaxFileSize=10MB
log4j.appender.R.MaxBackupIndex=2
log4j.appender.R.layout=org.apache.log4j.PatternLayout
log4j.appender.R.layout.ConversionPattern=%d{yy/MM/dd HH:mm:ss,SSS} %p [%t] %c{2}: %m%n
EOF
}

function configure_log4j_lds() {
  cat >>"${RUBIX_CONF_DIR}/log4j_lds.properties" <<'EOF'
log4j.rootLogger=INFO, R

log4j.appender.R=org.apache.log4j.RollingFileAppender
log4j.appender.R.File=/var/log/rubix/lds.log
log4j.appender.R.MaxFileSize=10MB
log4j.appender.R.MaxBackupIndex=2
log4j.appender.R.layout=org.apache.log4j.PatternLayout
log4j.appender.R.layout.ConversionPattern=%d{yy/MM/dd HH:mm:ss,SSS} %p [%t] %c{2}: %m%n
EOF
}

configure_log4j_bks
configure_log4j_lds
