#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_env.sh"
source "$(dirname "$0")/../../bdutil_helpers.sh"
source "$(dirname "$0")/../shared/mysql.sh"

source "${OS_BDUTIL_DIR}/components/pre-activate/mysql.sh"

set -x

set_log_tag "pre-activate-component-mysql"

function start_mysql() {
  local service_name
  if is_rocky; then
    service_name="mysqld"
  else
    service_name="mysql"
  fi

  enable_service "${service_name}"
  retry_constant systemctl start "${service_name}"
}


if [[ "${MY_HOSTNAME}" != "${DATAPROC_MASTER}" ]]; then
   echo "Skip running MySQL on ${MY_HOSTNAME}"
else
  start_mysql
  change_file_permission
  ensure_myconf_link_correct
  reset_mysql_password
fi
