#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_env.sh"
source "$(dirname "$0")/../../bdutil_logging.sh"
source "$(dirname "$0")/../../bdutil_properties.sh"
source "$(dirname "$0")/../../bdutil_metadata.sh"

set -x

set_log_tag "pre-activate-component-solr-server"

readonly ZOO_CFG_DIR="/etc/zookeeper/conf.dist"

function whitelist_zookeeper_commands() {
  # Add whitelist property at the end of zookeeper config file
  # to allow certain zk commands required by Solr UI to query zookeeper
  cat >> "${ZOO_CFG_DIR}/zoo.cfg" <<EOF
   # whitelist zk commands required by Solr UI to query zookeeper
   4lw.commands.whitelist=mntr,conf,ruok
EOF
}


function pre_activate_solr() {
  local role
  role="$(get_metadata_role)"

  if [[ "${role}" == "Master" ]]; then
    whitelist_zookeeper_commands
  fi
}

pre_activate_solr
