#!/bin/bash

set -euo pipefail

source /etc/environment
source "$(dirname "$0")/../../bdutil_env.sh"
source "$(dirname "$0")/../../bdutil_logging.sh"
source "$(dirname "$0")/../../bdutil_retry.sh"
source "$(dirname "$0")/../../bdutil_properties.sh"
source "$(dirname "$0")/../../bdutil_packages.sh"
source "$(dirname "$0")/../../bdutil_os.sh"
source "$(dirname "$0")/../../bdutil_networking.sh"
source "$(dirname "$0")/../shared/hdfs.sh"

set -x

set_log_tag "pre-uninstall-component-hdfs"

function pre_uninstall_hdfs() {
  if is_rocky; then
    local -r lib_hdfs_package='hadoop-libhdfs'
  else
    local -r lib_hdfs_package='libhdfs0'
  fi

  mark_packages_to_uninstall \
    "${lib_hdfs_package}" hadoop-hdfs-namenode hadoop-hdfs-datanode \
    hadoop-hdfs-secondarynamenode hadoop-hdfs-journalnode hadoop-hdfs-zkfc
  if [[ "${ROLE}" == "Master" && "${MASTER_INDEX}" == "0" ]]; then
    init_hcfs_dirs
  fi
}

pre_uninstall_hdfs
