if [[ "${DATAPROC_IMAGE_TYPE}" == "serverless-spark" ]]; then
  export CONDA_HOME="/opt/dataproc/conda"
else
  # Symbolic link to either /opt/conda/miniconda3 or /opt/conda/anaconda.
  export CONDA_HOME="/opt/conda/default"
fi

# Prevents conda component upgrades beyond path level (subminor).
function pin_component_version() {
  local install_path=$1
  local component=$2

  local version
  version=$("${install_path}/bin/conda" list "${component}" |
    grep -E "^${component}\s+" | sed -E "s/[ ]+/ /g" |
    cut -f2 -d' ' | cut -f1,2 -d'.')

  echo "${component} ${version}.*" >>"${install_path}/conda-meta/pinned"
}
