#!/bin/bash

set -euo pipefail

source "${BDUTIL_DIR}/components/shared/conda.sh"
source "${BDUTIL_DIR}/components/shared/nfs.sh"

if [[ "${DATAPROC_IMAGE_TYPE}" == "serverless-spark" ]]; then
  export MINICONDA3_INSTALL_PATH="${CONDA_HOME}"
  if is_component_selected 'nfs'; then
    export NFS_PACKAGE_MOUNT_LOCAL_PATH="${NFS_MOUNT_PATH}/python/site-packages"
  fi
else
  export MINICONDA3_INSTALL_PATH="/opt/conda/miniconda3"
fi

export MINICONDA3_BIN_DIR="${MINICONDA3_INSTALL_PATH}/bin"

export PATH="${MINICONDA3_BIN_DIR}:${PATH}"

# Mark conda packages, i.e., dependencies of a component for installation.
# Usage: mark_conda_packages_to_install `component_name` `packages_to_install`
function mark_conda_packages_to_install() {
  local -r component="$1"
  shift
  local -r component_dependencies=("$@")

  mkdir -p "${DATAPROC_TMP_DIR}/conda/install/${component}"
  local package
  for package in "${component_dependencies[@]}"; do
    touch "${DATAPROC_TMP_DIR}/conda/install/${component}/${package}"
  done
}
