#!/bin/bash

set -euo pipefail

source "$(dirname "$0")/../../bdutil_logging.sh"
source "$(dirname "$0")/../shared/docker.sh"

set -x

set_log_tag "uninstall-component-docker-ce"

# All debian packages to uninstall are declared in pre-uninstall.

# docker.socket is in broken state after removing docker
# and systemctl returns non zero error code when checking status.
# Allow following to fail, in case docker.socket does not exist
if ( systemctl list-units | grep -q docker.socket ); then
  systemctl stop docker.socket
fi

function delete_docker_bridge() {
  # Make sure to delete network bridge docker0, otherwise ComponentTest
  # will fail because docker0 will show up in systemd list.
  # docker service starts with package install on Debian, but on Rocky Linux it
  # does not, hence make sure that docker0 exists before attempting to delete
  if ip link show docker0 2>&1; then
    ip link del docker0
  fi
}

delete_docker_bridge

rm -rf "${DOCKER_PATH}"
rm -f "${DATAPROC_DIR}/licenses/DOCKER_LICENSE"
rm -rf /etc/docker
rm -rf /run/docker


