# Copyright 2015 Google Inc. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS-IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Downloads and installs the relevant bigquery-connector-<version>.jar.
# Also configures it for use with hadoop.

set -e
loginfo 'Running configure_connectors.sh'

bdconfig merge_configurations \
  --configuration_file "${HADOOP_CONF_DIR}/core-site.xml" \
  --source_configuration_file gcs-core-template.xml \
  --resolve_environment_variables \
  --create_if_absent \
  --noclobber

bdconfig merge_configurations \
  --configuration_file "${HADOOP_CONF_DIR}/mapred-site.xml" \
  --source_configuration_file bq-mapred-template.xml \
  --resolve_environment_variables \
  --create_if_absent \
  --noclobber
