#!/bin/bash

# This script does a clean build and run of the tests in a docker container
# returning the exit code from the rspec test suite and cleaning up
# the built image.

# This test requires the test runner to have docker installed on their machine
# and does not run via a BUILD. This was done because there is not a lot of ruby
# suite of unit tests working against the correct ruby and gem versions.

# Please re-run this script from its directory when making changes to this
# directory's ruby files.
IMAGE_TAG='container-logging-test'
docker build -t "${IMAGE_TAG}" -f test/Dockerfile .
docker run --rm "${IMAGE_TAG}:latest"
EXIT_CODE=$?
docker rmi "${IMAGE_TAG}:latest"
exit $EXIT_CODE
