readonly BIGTABLE_HBASE_CLIENT_CONNECTION_IMPL="com.google.cloud.bigtable.hbase2_x.BigtableConnection"
readonly BIGTABLE_HBASE_CLIENT_JAR_PREFIX="bigtable-hbase-2.x-hadoop"
readonly BIGTABLE_HBASE_CLIENT_VERSION="1.26.2"
readonly CONDA_VERSION="23.11"
readonly CONSCRYPT_VERSION='2.5.2'
readonly DOCKER_VERSION="24.0"
readonly DPMS_PROXY_DOCKER_IMAGE_VERSION="v0.0.45"
readonly DPMS_PROXY_HIVE_VERSIONS=("3.1.2")
readonly GCS_CONNECTOR_VERSION="3.0.0"
readonly HUDI_VERSION="0.12.3"
readonly JAVA_PACKAGE="temurin-11-jdk"
readonly ADDITIONAL_JAVA_PACKAGE="temurin-17-jdk"
readonly MAMBA_VERSION="1.5"
readonly MINICONDA_VERSION="Miniconda3-py311_23.11.0-2-Linux-x86_64.sh"
readonly PARQUET_VERSION="1.12.2"
readonly PYTHON_VERSION="3.11"
readonly R_VERSION="4.3"
readonly SCALA_VERSION="2.12.18"
readonly SPARK_BIGQUERY_CONNECTOR_VERSION="0.34.0"
readonly TINKEY_VERSION="1.10.0"
# Specific to Hue 4.11.0
readonly HUE_PYTHON_VERSION="3.9.18"
readonly HUE_VIRTUALENV_VERSION="20.16.5"
readonly HUE_VIRTUALENV_MAKE_RELOCATABLE_VERSION="0.0.1"
# Put these variables at the end of the file as they require other variables
readonly CONDA_PACKAGES=(
      "conda=${CONDA_VERSION}"
      "curl=8.5"
      "cython=3.0"
      "dask=2023.12"
      "fastavro=1.9"
      "fastparquet=2023.10"
      "gcsfs=2023.12"
      "ipyparallel=8.6"
      "ipython-sql=0.3"
      "jupyterhub=4.0"
      "jupyterlab=3.6.6"
      "koalas=0.22"
      "matplotlib=3.8"
      "nltk=3.8"
      "notebook=6.5"
      "numba=0.58"
      "numpy=1.26"
      "openblas=0.3"
      "orc=1.9"
      "pandas=2.1"
      "pyarrow=14.0"
      "pyhive=0.7"
      "pysal=23.7"
      "pytables=3.9"
      "python=${PYTHON_VERSION}"
      "r-ggplot2=3.4"
      "r-irkernel=1.3"
      "r-rcurl=1.98_1"
      "r-recommended=${R_VERSION}"
      "regex=2023.12"
      "requests=2.31"
      "rtree=1.1"
      "scikit-image=0.22"
      "scikit-learn=1.3"
      "scipy=1.11"
      "seaborn=0.13"
      "spyder=5.5"
      "sqlalchemy=2.0"
      "sympy=1.12"
      "virtualenv=20.25"
      # Jupyter-specific packages: install these with default
      # Conda env to make solving the environment easier.
      "cookiecutter=2.5"
      "httplib2=0.22"
      "ipywidgets=8.1"
      "jupyter_contrib_nbextensions=0.7"
      "jupyter_http_over_ws=0.0"
      "jupyter_server=1.24"
      "jupyterlab-git=0.44"
      "jupyterlab_widgets=3.0"
      "markdown=3.5"
      "nbconvert=7.14"
      "nbdime=3.2"
      "oauth2client=4.1"
      "opencv=4.8"
      "pandas-profiling=3.0"
      "papermill[gcs]=2.4"
      "pydot=2.0"
      "tornado=6.3"
      "uritemplate=4.1"
      "traitlets=5.14"
)
readonly PIP_PACKAGES=(
      "google-auth-oauthlib==1.1.*"
      "google-cloud-bigquery-storage==2.23.*"
      "google-cloud-bigquery[pandas]==3.13.*"
      "google-cloud-bigtable==2.21.*"
      "google-cloud-container==2.35.*"
      "google-cloud-datacatalog==3.16.*"
      "google-cloud-dataproc==5.7.*"
      "google-cloud-datastore==2.18.*"
      "google-cloud-language==2.11.*"
      "google-cloud-logging==3.8.*"
      "google-cloud-monitoring==2.16.*"
      "google-cloud-pubsub==2.18.*"
      "google-cloud-redis==2.13.*"
      "google-cloud-spanner==3.40.*"
      "google-cloud-speech==2.22"
      "google-cloud-storage==2.13.*"
      "google-cloud-texttospeech==2.14.*"
      "google-cloud-translate==3.12.*"
      "google-cloud-vision==3.4.*"
      "toree==0.5.*"
)
