# LINT.IfChange
readonly CONDA_VERSION="22.11"
readonly JAVA_PACKAGE="temurin-11-jdk"
readonly PYTHON_VERSION="3.10"
readonly R_VERSION="4.2"
readonly ADDITIONAL_JAVA_PACKAGE=""
readonly CONSCRYPT_VERSION='2.5.2'
readonly DPMS_PROXY_DOCKER_IMAGE_VERSION="v0.0.45"
readonly DPMS_PROXY_HIVE_VERSIONS=("2.3.6" "3.1.2")
readonly GCS_CONNECTOR_VERSION="hadoop3-2.2.19"
readonly MAMBA_VERSION="1.2"
readonly MINICONDA_VERSION="Mambaforge-22.11.1-4-Linux-x86_64.sh"
# New versions of NVIDIA GPU drivers can be found here:
# - drivers: https://www.nvidia.com/en-us/drivers/unix/
# - kernel modules: https://github.com/NVIDIA/open-gpu-kernel-modules
readonly NVIDIA_GPU_VERSION="535.104.05"
readonly NVIDIA_CONTAINER_TOOLKIT_VERSION="1.13.4-1"
readonly SPARK_BIGQUERY_CONNECTOR_VERSION="2.12-0.28.1"
readonly SPARK_DATAPROC_BUFFER_URI="https://us-central1-maven.pkg.dev/cloud-dataproc-prod/dataproc/org/apache/spark/spark-dataproc-buffer_2/12/3.3.2-2/spark-dataproc-buffer_2.12-3.3.2-2.jar"
readonly SPARK_RAPIDS_VERSION="2.12-23.12.1"
readonly TINKEY_VERSION="1.10.0"
readonly XGBOOST_VERSION="2.12-1.7.6"
# Put this variable at the end of the file as it requires other variables
readonly CONDA_PACKAGES=(
      "conda=${CONDA_VERSION}"
      "cookiecutter=2.1"
      "cython=0.29"
      "dask=2023.1"
      "fastavro=1.7"
      "fastparquet=2023.1"
      "gcsfs=2022.11"
      "git=2.39"
      "google-auth-oauthlib=0.8"
      "google-cloud-bigquery-storage=2.11"
      "google-cloud-bigquery=3.3"
      "google-cloud-bigtable=2.15"
      "google-cloud-container=2.13"
      "google-cloud-datacatalog=3.9"
      "google-cloud-dataproc=5.0"
      "google-cloud-datastore=2.10"
      "google-cloud-language=2.6"
      "google-cloud-logging=3.4"
      "google-cloud-monitoring=2.14"
      "google-cloud-pubsub=2.13"
      "google-cloud-redis=2.9"
      "google-cloud-secret-manager=2.16"
      "google-cloud-spanner=3.26"
      "google-cloud-speech=2.16"
      "google-cloud-storage=2.7"
      "google-cloud-texttospeech=2.12"
      "google-cloud-translate=3.8"
      "google-cloud-vision=3.1"
      "httplib2=0.21"
      "ipyparallel=8.4"
      "ipython-sql=0.3"
      "ipywidgets=8.0"
      "jupyter_contrib_nbextensions=0.7"
      "jupyter_http_over_ws=0.0"
      "jupyterlab-git=0.41"
      "jupyterlab=3.5"
      "jupyterlab_widgets=3.0"
      "keyring=23.13.1"
      "markdown=3.4"
      "matplotlib=3.6"
      "nbconvert=7.2"
      "nbdime=3.1"
      "nltk=3.8"
      "nodejs=18.12"
      "numba=0.56"
      "numpy=1.23"
      "oauth2client=4.1"
      "openblas=0.3"
      "opencv=4.6"
      "orc=1.8"
      "pandas-profiling=3.6"
      "pandas=1.5"
      "papermill=2.3"
      "pyarrow=9.0"
      "pydot=1.4"
      "pyhive=0.6"
      "pymongo=4.3"
      "pytables=3.7"
      "python=${PYTHON_VERSION}"
      "r-askpass=1.1"
      "r-assertthat=0.2"
      "r-backports=1.4"
      "r-bit64=4.0"
      "r-bit=4.0"
      "r-blob=1.2"
      "r-boot=1.3_28"
      "r-brew=1.0_8"
      "r-broom=1.0"
      "r-callr=3.7"
      "r-caret=6.0_93"
      "r-cellranger=1.1"
      "r-chron=2.3_58"
      "r-class=7.3_20"
      "r-cli=3.6"
      "r-clipr=0.8"
      "r-cluster=2.1"
      "r-codetools=0.2_18"
      "r-colorspace=2.0_3"
      "r-commonmark=1.8"
      "r-cpp11=0.4"
      "r-crayon=1.5"
      "r-curl=4.3"
      "r-data.table=1.14"
      "r-dbi=1.1"
      "r-dbplyr=2.2"
      "r-desc=1.4"
      "r-devtools=2.4"
      "r-digest=0.6"
      "r-dplyr=1.0"
      "r-ellipsis=0.3"
      "r-evaluate=0.19"
      "r-fansi=1.0"
      "r-fastmap=1.1"
      "r-forcats=0.5"
      "r-foreach=1.5"
      "r-foreign=0.8_84"
      "r-fs=1.5"
      "r-future=1.30"
      "r-generics=0.1"
      "r-ggplot2=3.4"
      "r-gh=1.3"
      "r-glmnet=4.1_2"
      "r-globals=0.16"
      "r-glue=1.6"
      "r-gower=1.0"
      "r-gtable=0.3"
      "r-haven=2.5"
      "r-highr=0.10"
      "r-hms=1.1"
      "r-htmltools=0.5"
      "r-htmlwidgets=1.6"
      "r-httpuv=1.6"
      "r-httr=1.4"
      "r-hwriter=1.3"
      "r-ini=0.3"
      "r-ipred=0.9_13"
      "r-isoband=0.2"
      "r-iterators=1.0"
      "r-jsonlite=1.8"
      "r-kernsmooth=2.23_20"
      "r-knitr=1.41"
      "r-labeling=0.4"
      "r-later=1.3"
      "r-lattice=0.20_45"
      "r-lava=1.7"
      "r-lifecycle=1.0"
      "r-listenv=0.9"
      "r-lubridate=1.9"
      "r-magrittr=2.0"
      "r-markdown=1.4"
      "r-mass=7.3_58"
      "r-matrix=1.5_3"
      "r-memoise=2.0"
      "r-mgcv=1.8_41"
      "r-mime=0.12"
      "r-modelmetrics=1.2"
      "r-modelr=0.1"
      "r-munsell=0.5"
      "r-nlme=3.1_161"
      "r-nnet=7.3_18"
      "r-numderiv=2016.8_1"
      "r-openssl=2.0"
      "r-pillar=1.8"
      "r-pkgbuild=1.4"
      "r-pkgconfig=2.0"
      "r-pkgload=1.3"
      "r-plogr=0.2"
      "r-plyr=1.8"
      "r-praise=1.0"
      "r-prettyunits=1.1"
      "r-processx=3.8"
      "r-prodlim=2019.11"
      "r-progress=1.2"
      "r-promises=1.2"
      "r-proto=1.0"
      "r-ps=1.7"
      "r-purrr=1.0"
      "r-r6=2.5"
      "r-randomforest=4.7_1"
      "r-rappdirs=0.3"
      "r-rcmdcheck=1.4"
      "r-rcolorbrewer=1.1_3"
      "r-rcpp=1.0"
      "r-rcurl=1.98_1"
      "r-readr=2.1"
      "r-readxl=1.4"
      "r-recipes=1.0"
      "r-recommended=${R_VERSION}"
      "r-rematch=1.0"
      "r-remotes=2.4"
      "r-reprex=2.0"
      "r-reshape2=1.4"
      "r-rlang=1.0"
      "r-rmarkdown=2.20"
      "r-rodbc=1.3_20"
      "r-roxygen2=7.2"
      "r-rpart=4.1"
      "r-rprojroot=2.0"
      "r-rserve=1.8_7"
      "r-rsqlite=2.2"
      "r-rstudioapi=0.14"
      "r-rvest=1.0"
      "r-scales=1.2"
      "r-selectr=0.4_2"
      "r-sessioninfo=1.2"
      "r-shape=1.4"
      "r-shiny=1.7"
      "r-sourcetools=0.1"
      "r-spatial=7.3_15"
      "r-squarem=2021.1"
      "r-stringi=1.7"
      "r-stringr=1.5"
      "r-survival=3.5_0"
      "r-sys=3.4"
      "r-teachingdemos=2.12"
      "r-testthat=3.1"
      "r-tibble=3.1"
      "r-tidyr=1.2"
      "r-tidyselect=1.2"
      "r-tidyverse=1.3"
      "r-timedate=4022.108"
      "r-tinytex=0.43"
      "r-usethis=2.1"
      "r-utf8=1.2"
      "r-uuid=1.1_0"
      "r-vctrs=0.5"
      "r-whisker=0.4"
      "r-withr=2.5"
      "r-xfun=0.36"
      "r-xml2=1.3"
      "r-xopen=1.0"
      "r-xtable=1.8_4"
      "r-yaml=2.3"
      "r-zip=2.2"
      "regex=2022.10"
      "requests=2.28"
      "rtree=1.0"
      "scikit-image=0.19"
      "scikit-learn=1.2"
      "scipy=1.9"
      "seaborn=0.12"
      "setuptools=65"
      "sqlalchemy=1.4"
      "sympy=1.11"
      "traitlets=5.9"
      "tornado=6.2"
      "uritemplate=4.1"
      "virtualenv=20.17"
)
readonly PIP_PACKAGES=(
      "keyrings-google-artifactregistry-auth==1.1.2"
      "sparksql-magic==0.0.3"
      "toree==0.5.*"
)
