# LINT.IfChange
readonly CONDA_VERSION="23.11"
readonly JAVA_PACKAGE="temurin-17-jdk"
readonly PYTHON_VERSION="3.12"
readonly R_VERSION="4.3"
readonly ADDITIONAL_JAVA_PACKAGE=""
readonly CONSCRYPT_VERSION='2.6-1ed3fab'
readonly DPMS_PROXY_DOCKER_IMAGE_VERSION="v0.0.45"
readonly DPMS_PROXY_HIVE_VERSIONS=("2.3.6" "3.1.2")
readonly GCS_CONNECTOR_VERSION="3.0.0"
readonly MAMBA_VERSION="1.5"
readonly MINICONDA_VERSION="Mambaforge-23.3.1-1-Linux-x86_64.sh"
# New versions of NVIDIA GPU drivers can be found here:
# - drivers: https://www.nvidia.com/en-us/drivers/unix/
# - kernel modules: https://github.com/NVIDIA/open-gpu-kernel-modules
readonly NVIDIA_GPU_VERSION="535.104.05"
readonly NVIDIA_CONTAINER_TOOLKIT_VERSION="1.13.4-1"
readonly SPARK_BIGQUERY_CONNECTOR_VERSION="0.35.1"
readonly SPARK_RAPIDS_VERSION="2.12-23.12.1"
readonly TINKEY_VERSION="1.10.0"
readonly XGBOOST_VERSION="2.12-2.0.3"
# Put this variable at the end of the file as it requires other variables
readonly CONDA_PACKAGES=(
      "conda=${CONDA_VERSION}"
      "cookiecutter"
      "cython"
      "dask"
      "fastavro"
      "fastparquet"
      "gcsfs"
      "git"
      "google-auth-oauthlib"
      "google-cloud-bigquery"
      "google-cloud-bigquery-storage"
      "google-cloud-bigtable"
      "google-cloud-container"
      "google-cloud-datacatalog"
      "google-cloud-dataproc"
      "google-cloud-datastore"
      "google-cloud-language"
      "google-cloud-logging"
      "google-cloud-monitoring"
      "google-cloud-pubsub"
      "google-cloud-redis"
      "google-cloud-secret-manager"
      "google-cloud-spanner"
      "google-cloud-speech"
      "google-cloud-storage"
      "google-cloud-texttospeech"
      "google-cloud-translate"
      "google-cloud-vision"
      "httplib2"
      "ipyparallel"
      "ipython-sql"
      "ipywidgets"
      "jupyter_http_over_ws"
      "jupyterlab=4.0"
      "jupyterlab-git"
      "mamba=${MAMBA_VERSION}"
      "markdown"
      "matplotlib"
      "nbclassic"
      "nbconvert"
      "nbdime"
      "nltk"
      "nodejs"
      # "numba"
      "numpy"
      "oauth2client"
      "openblas"
      "opencv"
      "orc"
      "pandas"
      "pandas-profiling"
      # "papermill"
      "pyarrow"
      "pydot"
      "pyhive"
      "pymongo"
      "pytables"
      "python=${PYTHON_VERSION}"
      "r-askpass"
      "r-assertthat"
      "r-backports"
      "r-bit"
      "r-bit64"
      "r-blob"
      "r-boot"
      "r-brew"
      "r-broom"
      "r-callr"
      "r-caret"
      "r-cellranger"
      "r-chron"
      "r-class"
      "r-cli"
      "r-clipr"
      "r-cluster"
      "r-codetools"
      "r-colorspace"
      "r-commonmark"
      "r-cpp11"
      "r-crayon"
      "r-curl"
      "r-data.table"
      "r-dbi"
      "r-dbplyr"
      "r-desc"
      "r-devtools"
      "r-digest"
      "r-dplyr"
      "r-ellipsis"
      "r-evaluate"
      "r-fansi"
      "r-fastmap"
      "r-forcats"
      "r-foreach"
      "r-foreign"
      "r-fs"
      "r-future"
      "r-generics"
      "r-ggplot2"
      "r-gh"
      "r-glmnet"
      "r-globals"
      "r-glue"
      "r-gower"
      "r-gtable"
      "r-haven"
      "r-highr"
      "r-hms"
      "r-htmltools"
      "r-htmlwidgets"
      "r-httpuv"
      "r-httr"
      "r-hwriter"
      "r-ini"
      "r-ipred"
      "r-isoband"
      "r-iterators"
      "r-jsonlite"
      "r-kernsmooth"
      "r-knitr"
      "r-labeling"
      "r-later"
      "r-lattice"
      "r-lava"
      "r-lifecycle"
      "r-listenv"
      "r-lubridate"
      "r-magrittr"
      "r-markdown"
      "r-mass"
      "r-matrix"
      "r-memoise"
      "r-mgcv"
      "r-mime"
      "r-modelmetrics"
      "r-modelr"
      "r-munsell"
      "r-nlme"
      "r-nnet"
      "r-numderiv"
      "r-openssl"
      "r-pillar"
      "r-pkgbuild"
      "r-pkgconfig"
      "r-pkgload"
      "r-plogr"
      "r-plyr"
      "r-praise"
      "r-prettyunits"
      "r-processx"
      "r-prodlim"
      "r-progress"
      "r-promises"
      "r-proto"
      "r-ps"
      "r-purrr"
      "r-r6"
      "r-randomforest"
      "r-rappdirs"
      "r-rcmdcheck"
      "r-rcolorbrewer"
      "r-rcpp"
      "r-rcurl"
      "r-readr"
      "r-readxl"
      "r-recipes"
      "r-recommended=${R_VERSION}"
      "r-rematch"
      "r-remotes"
      "r-reprex"
      "r-reshape2"
      "r-rlang"
      "r-rmarkdown"
      "r-rodbc"
      "r-roxygen2"
      "r-rpart"
      "r-rprojroot"
      "r-rserve"
      "r-rsqlite"
      "r-rstudioapi"
      "r-rvest"
      "r-scales"
      "r-selectr"
      "r-sessioninfo"
      "r-shape"
      "r-shiny"
      "r-sourcetools"
      "r-spatial"
      "r-squarem"
      "r-stringi"
      "r-stringr"
      "r-survival"
      "r-sys"
      "r-teachingdemos"
      "r-testthat"
      "r-tibble"
      "r-tidyr"
      "r-tidyselect"
      "r-tidyverse"
      "r-timedate"
      "r-tinytex"
      "r-usethis"
      "r-utf8"
      "r-uuid"
      "r-vctrs"
      "r-whisker"
      "r-withr"
      "r-xfun"
      "r-xml2"
      "r-xopen"
      "r-xtable"
      "r-yaml"
      "r-zip"
      "regex"
      "requests"
      "rtree"
      "scikit-image"
      "scikit-learn"
      "scipy"
      "seaborn"
      "sqlalchemy"
      "sympy"
      "tornado"
      "uritemplate"
      "virtualenv"
      # Transitive dependencies (start) - pinned after GA
      # TODO: pin transitive dependencies
      # Transitive dependencies (end)
)
readonly PIP_PACKAGES=(
      "keyrings-google-artifactregistry-auth"
      "sparksql-magic"
      "toree"
)
