# LINT.IfChange
readonly CONDA_VERSION="22.9"
readonly JAVA_PACKAGE="temurin-17-jdk"
readonly PYTHON_VERSION="3.10"
readonly R_VERSION="4.1"
readonly ADDITIONAL_JAVA_PACKAGE=""
readonly CONSCRYPT_VERSION='2.5.2'
readonly DPMS_PROXY_DOCKER_IMAGE_VERSION="v0.0.45"
readonly DPMS_PROXY_HIVE_VERSIONS=("2.3.6" "3.1.2")
readonly GCS_CONNECTOR_VERSION="hadoop3-2.2.19"
readonly MAMBA_VERSION="0.27"
readonly MINICONDA_VERSION="Mambaforge-22.11.1-4-Linux-x86_64.sh"
# New versions of NVIDIA GPU drivers can be found here:
# - drivers: https://www.nvidia.com/en-us/drivers/unix/
# - kernel modules: https://github.com/NVIDIA/open-gpu-kernel-modules
readonly NVIDIA_GPU_VERSION="535.104.05"
readonly NVIDIA_CONTAINER_TOOLKIT_VERSION="1.13.4-1"
readonly SPARK_DATAPROC_BUFFER_URI="https://us-central1-maven.pkg.dev/cloud-dataproc-prod/dataproc/org/apache/spark/spark-dataproc-buffer_2/13/3.3.2-2/spark-dataproc-buffer_2.13-3.3.2-2.jar"
readonly SPARK_RAPIDS_VERSION="2.13-23.12.1"
readonly TINKEY_VERSION="1.10.0"
readonly XGBOOST_VERSION="2.13-2.0.3"
# Put this variable at the end of the file as it requires other variables
readonly CONDA_PACKAGES=(
      "conda=${CONDA_VERSION}"
      "cookiecutter=2.1"
      "cython=0.29"
      "dask=2022.10"
      "fastavro=1.6"
      "fastparquet=0.8"
      "gcsfs=2022.8"
      "git=2.38"
      "google-auth-oauthlib=0.5"
      "google-cloud-bigquery-storage=2.11"
      "google-cloud-bigquery[pandas]=3.3"
      "google-cloud-bigtable=2.13"
      "google-cloud-container=2.12"
      "google-cloud-datacatalog=3.9"
      "google-cloud-dataproc=5.0"
      "google-cloud-datastore=2.8"
      "google-cloud-language=2.6"
      "google-cloud-logging=3.2"
      "google-cloud-monitoring=2.11"
      "google-cloud-pubsub=2.13"
      "google-cloud-redis=2.9"
      "google-cloud-secret-manager=2.12"
      "google-cloud-spanner=3.22"
      "google-cloud-speech=2.16"
      "google-cloud-storage=2.5"
      "google-cloud-texttospeech=2.12"
      "google-cloud-translate=3.8"
      "google-cloud-vision=3.1"
      "httplib2=0.20"
      "ipyparallel=8.4"
      "ipython-sql=0.3"
      "ipywidgets=8.0"
      "jupyter_contrib_nbextensions=0.5"
      "jupyter_http_over_ws=0.0"
      "jupyterlab-git=0.39"
      "jupyterlab=3.4"
      "jupyterlab_widgets=3.0"
      "keyring=23.13.1"
      "markdown=3.4"
      "matplotlib=3.6"
      "nbconvert=7.2"
      "nbdime=3.1"
      "nltk=3.6"
      "nodejs=18.11"
      "numba=0.56"
      "numpy=1.23"
      "oauth2client=4.1"
      "openblas=0.3"
      "opencv=4.6"
      "orc=1.8"
      "pandas-profiling=3.2"
      "pandas=1.5"
      "papermill=2.3"
      "pyarrow=9.0"
      "pydot=1.4"
      "pyhive=0.6"
      "pymongo=4.3"
      "pytables=3.7"
      "python=${PYTHON_VERSION}"
      "r-askpass=1.1"
      "r-assertthat=0.2"
      "r-backports=1.4"
      "r-bit64=4.0"
      "r-bit=4.0"
      "r-blob=1.2"
      "r-boot=1.3_28"
      "r-brew=1.0_8"
      "r-broom=1.0"
      "r-callr=3.7"
      "r-caret=6.0_93"
      "r-cellranger=1.1"
      "r-chron=2.3_58"
      "r-class=7.3_20"
      "r-cli=3.4"
      "r-clipr=0.8"
      "r-cluster=2.1"
      "r-codetools=0.2_18"
      "r-colorspace=2.0_3"
      "r-commonmark=1.8"
      "r-cpp11=0.4"
      "r-crayon=1.5"
      "r-curl=4.3"
      "r-data.table=1.14"
      "r-dbi=1.1"
      "r-dbplyr=2.2"
      "r-desc=1.4"
      "r-devtools=2.4"
      "r-digest=0.6"
      "r-dplyr=1.0"
      "r-ellipsis=0.3"
      "r-evaluate=0.17"
      "r-fansi=1.0"
      "r-fastmap=1.1"
      "r-forcats=0.5"
      "r-foreach=1.5"
      "r-foreign=0.8_83"
      "r-fs=1.5"
      "r-future=1.28"
      "r-generics=0.1"
      "r-ggplot2=3.3"
      "r-gh=1.3"
      "r-glmnet=4.1_2"
      "r-globals=0.16"
      "r-glue=1.6"
      "r-gower=1.0"
      "r-gtable=0.3"
      "r-haven=2.5"
      "r-highr=0.9"
      "r-hms=1.1"
      "r-htmltools=0.5"
      "r-htmlwidgets=1.5"
      "r-httpuv=1.6"
      "r-httr=1.4"
      "r-hwriter=1.3"
      "r-ini=0.3"
      "r-ipred=0.9_13"
      "r-isoband=0.2"
      "r-iterators=1.0"
      "r-jsonlite=1.8"
      "r-kernsmooth=2.23_20"
      "r-knitr=1.40"
      "r-labeling=0.4"
      "r-later=1.2"
      "r-lattice=0.20_45"
      "r-lava=1.6"
      "r-lifecycle=1.0"
      "r-listenv=0.8"
      "r-lubridate=1.8"
      "r-magrittr=2.0"
      "r-markdown=1.1"
      "r-mass=7.3_58"
      "r-matrix=1.5_1"
      "r-memoise=2.0"
      "r-mgcv=1.8_40"
      "r-mime=0.12"
      "r-modelmetrics=1.2"
      "r-modelr=0.1"
      "r-munsell=0.5"
      "r-nlme=3.1_160"
      "r-nnet=7.3_18"
      "r-numderiv=2016.8_1"
      "r-openssl=2.0"
      "r-pillar=1.8"
      "r-pkgbuild=1.3"
      "r-pkgconfig=2.0"
      "r-pkgload=1.3"
      "r-plogr=0.2"
      "r-plyr=1.8"
      "r-praise=1.0"
      "r-prettyunits=1.1"
      "r-processx=3.7"
      "r-prodlim=2019.11"
      "r-progress=1.2"
      "r-promises=1.2"
      "r-proto=1.0"
      "r-ps=1.7"
      "r-purrr=0.3"
      "r-r6=2.5"
      "r-randomforest=4.7_1"
      "r-rappdirs=0.3"
      "r-rcmdcheck=1.4"
      "r-rcolorbrewer=1.1_3"
      "r-rcpp=1.0"
      "r-rcurl=1.98_1"
      "r-readr=2.1"
      "r-readxl=1.4"
      "r-recipes=1.0"
      "r-recommended=${R_VERSION}"
      "r-rematch=1.0"
      "r-remotes=2.4"
      "r-reprex=2.0"
      "r-reshape2=1.4"
      "r-rlang=1.0"
      "r-rmarkdown=2.17"
      "r-rodbc=1.3_19"
      "r-roxygen2=7.2"
      "r-rpart=4.1"
      "r-rprojroot=2.0"
      "r-rserve=1.8_7"
      "r-rsqlite=2.2"
      "r-rstudioapi=0.14"
      "r-rvest=1.0"
      "r-scales=1.2"
      "r-selectr=0.4_2"
      "r-sessioninfo=1.2"
      "r-shape=1.4"
      "r-shiny=1.7"
      "r-sourcetools=0.1"
      "r-spatial=7.3_15"
      "r-squarem=2021.1"
      "r-stringi=1.7"
      "r-stringr=1.4"
      "r-survival=3.4_0"
      "r-sys=3.4"
      "r-teachingdemos=2.12"
      "r-testthat=3.1"
      "r-tibble=3.1"
      "r-tidyr=1.2"
      "r-tidyselect=1.2"
      "r-tidyverse=1.3"
      "r-timedate=4021.106"
      "r-tinytex=0.42"
      "r-usethis=2.1"
      "r-utf8=1.2"
      "r-uuid=1.1_0"
      "r-vctrs=0.4"
      "r-whisker=0.4"
      "r-withr=2.5"
      "r-xfun=0.33"
      "r-xml2=1.3"
      "r-xopen=1.0"
      "r-xtable=1.8_4"
      "r-yaml=2.3"
      "r-zip=2.2"
      "regex=2022.9"
      "requests=2.28"
      "rtree=1.0"
      "scikit-image=0.19"
      "scikit-learn=1.1"
      "scipy=1.9"
      "seaborn=0.12"
      "sqlalchemy=1.4"
      "sympy=1.11"
      "tornado=6.1"
      "traitlets=5.9"
      "uritemplate=4.1"
      "virtualenv=20.16"
      # Transitive dependencies (start)
      "_libgcc_mutex=0.1"
      "_openmp_mutex=4.5"
      "_r-mutex=1.0"
      "aiohttp=3.9"
      "aiosignal=1.3"
      "alsa-lib=1.2"
      "annotated-types=0.6"
      "ansiwrap=0.8"
      "anyio=3.7"
      "aom=3.5"
      "argon2-cffi=23.1"
      "argon2-cffi-bindings=21.2"
      "arrow=1.3"
      "arrow-cpp=9.0"
      "asttokens=2.4"
      "async-timeout=4.0"
      "atk-1.0=2.38"
      "attr=2.5"
      "attrs=23.1"
      "aws-c-auth=0.6"
      "aws-c-cal=0.5"
      "aws-c-common=0.8"
      "aws-c-compression=0.2"
      "aws-c-event-stream=0.2"
      "aws-c-http=0.6"
      "aws-c-io=0.13"
      "aws-c-mqtt=0.7"
      "aws-c-s3=0.2"
      "aws-c-sdkutils=0.1"
      "aws-checksums=0.1"
      "aws-crt-cpp=0.18"
      "aws-sdk-cpp=1.9"
      "babel=2.13"
      "beautifulsoup4=4.12"
      "binaryornot=0.4"
      "binutils_impl_linux-64=2.40"
      "black=22.12"
      "bleach=6.1"
      "blinker=1.7"
      "blosc=1.21"
      "bokeh=2.4"
      "boost-cpp=1.78"
      "branca=0.7"
      "brotli=1.0"
      "brotli-bin=1.0"
      "brotlipy=0.7"
      "brunsli=0.1"
      "bwidget=1.9"
      "bzip2=1.0"
      "c-ares=1.18"
      "c-blosc2=2.10"
      "cachetools=5.3"
      "cairo=1.16"
      "cffi=1.15"
      "cfitsio=4.2"
      "chardet=5.2"
      "charls=2.3"
      "charset-normalizer=2.1"
      "click=8.1"
      "click-plugins=1.1"
      "cligj=0.7"
      "cloudpickle=3.0"
      "colorama=0.4"
      "comm=0.1"
      "conda-package-handling=2.0"
      "conda-package-streaming=0.7"
      "contourpy=1.2"
      "cramjam=2.7"
      "cryptography=39.0"
      "curl=7.86"
      "cycler=0.12"
      "cytoolz=0.12"
      "dask-core=2022.10"
      "dav1d=1.2"
      "db-dtypes=1.1"
      "dbus=1.13"
      "debugpy=1.8"
      "decorator=5.1"
      "defusedxml=0.7"
      "distlib=0.3"
      "distributed=2022.10"
      "dnspython=2.4"
      "entrypoints=0.4"
      "exceptiongroup=1.2"
      "executing=2.0"
      "expat=2.5"
      "ffmpeg=5.1"
      "fftw=3.3"
      "filelock=3.13"
      "fiona=1.8"
      "fmt=9.1"
      "folium=0.15"
      "font-ttf-dejavu-sans-mono=2.37"
      "font-ttf-inconsolata=3.000"
      "font-ttf-source-code-pro=2.038"
      "font-ttf-ubuntu=0.83"
      "fontconfig=2.14"
      "fonts-conda-ecosystem=1"
      "fonts-conda-forge=1"
      "fonttools=4.45"
      "freeglut=3.2"
      "freetype=2.12"
      "freexl=1.0"
      "fribidi=1.0"
      "frozenlist=1.4"
      "fsspec=2022.8"
      "future=0.18"
      "gcc_impl_linux-64=12.2"
      "gdal=3.6"
      "gdk-pixbuf=2.42"
      "geopandas=0.14"
      "geopandas-base=0.14"
      "geos=3.11"
      "geotiff=1.7"
      "gettext=0.21"
      "gflags=2.2"
      "gfortran_impl_linux-64=12.2"
      "giflib=5.2"
      "gitdb=4.0"
      "gitpython=3.1"
      "glib=2.78"
      "glib-tools=2.78"
      "glog=0.6"
      "gmp=6.3"
      "gmpy2=2.1"
      "gnutls=3.7"
      "google-api-core=2.8"
      "google-api-core-grpc=2.8"
      "google-api-core-grpcio-gcp=2.8"
      "google-auth=2.23"
      "google-cloud-appengine-logging=1.1"
      "google-cloud-audit-log=0.2"
      "google-cloud-bigquery=3.3"
      "google-cloud-bigquery-core=3.3"
      "google-cloud-bigquery-storage-core=2.11"
      "google-cloud-core=2.3"
      "google-crc32c=1.1"
      "google-resumable-media=2.6"
      "googleapis-common-protos=1.61"
      "googleapis-common-protos-grpc=1.61"
      "graphite2=1.3"
      "graphviz=7.0"
      "greenlet=3.0"
      "grpc-google-iam-v1=0.12"
      "grpcio=1.51"
      "grpcio-gcp=0.2"
      "grpcio-status=1.51"
      "gsl=2.7"
      "gst-plugins-base=1.21"
      "gstreamer=1.21"
      "gstreamer-orc=0.4"
      "gtk2=2.24"
      "gts=0.7"
      "gxx_impl_linux-64=12.2"
      "h11=0.14"
      "h2=4.1"
      "harfbuzz=6.0"
      "hdf4=4.2"
      "hdf5=1.12"
      "hpack=4.0"
      "htmlmin=0.1"
      "httpcore=1.0"
      "hyperframe=6.0"
      "icu=70.1"
      "idna=3.4"
      "imagecodecs=2022.9"
      "imagehash=4.3"
      "imageio=2.31"
      "importlib-metadata=6.8"
      "importlib_metadata=6.8"
      "importlib_resources=6.1"
      "ipykernel=6.26"
      "ipython=8.18"
      "ipython_genutils=0.2"
      "jack=1.9"
      "jaraco.classes=3.3"
      "jasper=2.0"
      "jedi=0.19"
      "jeepney=0.8"
      "jinja2=3.1"
      "jinja2-time=0.2"
      "joblib=1.1"
      "jpeg=9e"
      "json-c=0.16"
      "json5=0.9"
      "jsonschema=4.20"
      "jsonschema-specifications=2023.11"
      "jupyter-server-mathjax=0.2"
      "jupyter_client=7.3"
      "jupyter_contrib_core=0.4"
      "jupyter_core=5.5"
      "jupyter_highlight_selected_word=0.2"
      "jupyter_latex_envs=1.4"
      "jupyter_nbextensions_configurator=0.6"
      "jupyter_server=1.24"
      "jupyterlab_pygments=0.3"
      "jupyterlab_server=2.24"
      "jxrlib=1.1"
      "kealib=1.5"
      "kernel-headers_linux-64=2.6"
      "keyutils=1.6"
      "kiwisolver=1.4"
      "krb5=1.19"
      "lame=3.100"
      "lcms2=2.14"
      "ld_impl_linux-64=2.40"
      "lerc=4.0"
      "libabseil=20220623.0"
      "libaec=1.1"
      "libarchive=3.6"
      "libavif=0.11"
      "libblas=3.9"
      "libbrotlicommon=1.0"
      "libbrotlidec=1.0"
      "libbrotlienc=1.0"
      "libcap=2.67"
      "libcblas=3.9"
      "libclang=15.0"
      "libclang13=15.0"
      "libcrc32c=1.1"
      "libcst=1.1"
      "libcups=2.3"
      "libcurl=7.86"
      "libdb=6.2"
      "libdeflate=1.14"
      "libdrm=2.4"
      "libedit=3.1"
      "libev=4.33"
      "libevent=2.1"
      "libexpat=2.5"
      "libffi=3.4"
      "libflac=1.4"
      "libgcc-devel_linux-64=12.2"
      "libgcc-ng=12.2"
      "libgcrypt=1.10"
      "libgd=2.3"
      "libgdal=3.6"
      "libgfortran-ng=13.2"
      "libgfortran5=13.2"
      "libgit2=1.6"
      "libglib=2.78"
      "libglu=9.0"
      "libgomp=12.2"
      "libgoogle-cloud=2.5"
      "libgpg-error=1.47"
      "libgrpc=1.51"
      "libiconv=1.17"
      "libidn2=2.3"
      "libkml=1.3"
      "liblapack=3.9"
      "liblapacke=3.9"
      "libllvm11=11.1"
      "libllvm15=15.0"
      "libmamba=1.1"
      "libmambapy=1.1"
      "libnetcdf=4.8"
      "libnghttp2=1.51"
      "libnsl=2.0"
      "libogg=1.3"
      "libopenblas=0.3"
      "libopencv=4.6"
      "libopus=1.3"
      "libpciaccess=0.17"
      "libpng=1.6"
      "libpq=15.1"
      "libprotobuf=3.21"
      "librsvg=2.54"
      "librttopo=1.1"
      "libsanitizer=12.2"
      "libsndfile=1.2"
      "libsodium=1.0"
      "libsolv=0.7"
      "libspatialindex=1.9"
      "libspatialite=5.0"
      "libsqlite=3.40"
      "libssh2=1.10"
      "libstdcxx-devel_linux-64=12.2"
      "libstdcxx-ng=12.2"
      "libsystemd0=253"
      "libtasn1=4.19"
      "libthrift=0.16"
      "libtiff=4.4"
      "libtool=2.4"
      "libudev1=253"
      "libunistring=0.9"
      "libutf8proc=2.8"
      "libuuid=2.32"
      "libuv=1.44"
      "libva=2.18"
      "libvorbis=1.3"
      "libvpx=1.11"
      "libwebp=1.2"
      "libwebp-base=1.2"
      "libxcb=1.13"
      "libxkbcommon=1.5"
      "libxml2=2.10"
      "libxslt=1.1"
      "libzip=1.10"
      "libzlib=1.2"
      "libzopfli=1.0"
      "llvmlite=0.39"
      "locket=1.0"
      "lxml=4.9"
      "lz4=4.3"
      "lz4-c=1.9"
      "lzo=2.10"
      "make=4.3"
      "mamba=1.1"
      "mapclassify=2.6"
      "markupsafe=2.1"
      "matplotlib-base=3.6"
      "matplotlib-inline=0.1"
      "missingno=0.4"
      "mistune=2.0"
      "more-itertools=10.1"
      "mpc=1.3"
      "mpfr=4.2"
      "mpg123=1.32"
      "mpmath=1.3"
      "msgpack-python=1.0"
      "multidict=6.0"
      "multimethod=1.4"
      "munch=4.0"
      "munkres=1.1"
      "mypy_extensions=1.0"
      "mysql-common=8.0"
      "mysql-libs=8.0"
      "nbclassic=1.0"
      "nbclient=0.8"
      "nbconvert-core=7.2"
      "nbconvert-pandoc=7.2"
      "nbformat=5.9"
      "ncurses=6.3"
      "nest-asyncio=1.5"
      "nettle=3.9"
      "networkx=3.2"
      "nomkl=1.0"
      "notebook=6.5"
      "notebook-shim=0.2"
      "nspr=4.35"
      "nss=3.89"
      "numexpr=2.8"
      "oauthlib=3.2"
      "openh264=2.3"
      "openjpeg=2.5"
      "openssl=3.1"
      "p11-kit=0.24"
      "packaging=21.3"
      "pandoc=2.19"
      "pandocfilters=1.5"
      "pango=1.50"
      "parquet-cpp=1.5"
      "parso=0.8"
      "partd=1.4"
      "pathspec=0.11"
      "patsy=0.5"
      "pcre2=10.40"
      "perl=5.32"
      "pexpect=4.8"
      "phik=0.12"
      "pickleshare=0.7"
      "pillow=9.2"
      "pip=23.0"
      "pixman=0.42"
      "pkgutil-resolve-name=1.3"
      "platformdirs=2.6"
      "pluggy=1.0"
      "ply=3.11"
      "poppler=22.12"
      "poppler-data=0.4"
      "postgresql=15.1"
      "prettytable=3.9"
      "proj=9.1"
      "prometheus_client=0.19"
      "prompt-toolkit=3.0"
      "proto-plus=1.22"
      "protobuf=4.21"
      "psutil=5.9"
      "pthread-stubs=0.4"
      "ptyprocess=0.7"
      "pulseaudio=16.1"
      "pulseaudio-client=16.1"
      "pulseaudio-daemon=16.1"
      "pure-sasl=0.6"
      "pure_eval=0.2"
      "py-opencv=4.6"
      "pyasn1=0.5"
      "pyasn1-modules=0.3"
      "pybind11-abi=4"
      "pycosat=0.6"
      "pycparser=2.21"
      "pydantic=2.5"
      "pydantic-core=2.14"
      "pygments=2.17"
      "pyjwt=2.8"
      "pyopenssl=23.0"
      "pyparsing=3.1"
      "pyproj=3.4"
      "pyqt=5.15"
      "pyqt5-sip=12.11"
      "pysocks=1.7"
      "python-dateutil=2.8"
      "python-fastjsonschema=2.19"
      "python-slugify=8.0"
      "python_abi=3.10"
      "pytz=2023.3"
      "pyu2f=0.1"
      "pywavelets=1.4"
      "pyyaml=6.0"
      "pyzmq=25.1"
      "qt-main=5.15"
      "r-base=4.1"
      "r-base64enc=0.1_3"
      "r-bitops=1.0_7"
      "r-brio=1.1"
      "r-bslib=0.5"
      "r-cachem=1.0"
      "r-credentials=1.3"
      "r-diffobj=0.3"
      "r-downlit=0.4"
      "r-dtplyr=1.3"
      "r-e1071=1.7_13"
      "r-farver=2.1"
      "r-fontawesome=0.5"
      "r-future.apply=1.11"
      "r-gargle=1.4"
      "r-gert=1.9"
      "r-gitcreds=0.1"
      "r-googledrive=2.1"
      "r-googlesheets4=1.1"
      "r-hardhat=1.3"
      "r-ids=1.0"
      "r-jquerylib=0.1"
      "r-miniui=0.1.1.1"
      "r-parallelly=1.36"
      "r-pkgdown=2.0"
      "r-proc=1.18"
      "r-profvis=0.3"
      "r-progressr=0.13"
      "r-proxy=0.4_27"
      "r-ragg=1.2"
      "r-rematch2=2.1"
      "r-rversions=2.1"
      "r-sass=0.4"
      "r-systemfonts=1.0"
      "r-textshaping=0.3"
      "r-tzdb=0.4"
      "r-urlchecker=1.0"
      "r-viridislite=0.4"
      "r-vroom=1.6"
      "r-waldo=0.5"
      "re2=2022.06"
      "readline=8.1"
      "referencing=0.31"
      "reproc=14.2"
      "reproc-cpp=14.2"
      "requests-oauthlib=1.3"
      "rpds-py=0.13"
      "rsa=4.9"
      "ruamel.yaml=0.17"
      "ruamel.yaml.clib=0.2"
      "ruamel_yaml=0.15"
      "s2n=1.3"
      "seaborn-base=0.12"
      "secretstorage=3.3"
      "sed=4.8"
      "send2trash=1.8"
      "setuptools=65.6"
      "shapely=1.8"
      "sip=6.7"
      "six=1.16"
      "smmap=5.0"
      "snappy=1.1"
      "sniffio=1.3"
      "sortedcontainers=2.4"
      "soupsieve=2.5"
      "sqlite=3.40"
      "sqlparse=0.4"
      "stack_data=0.6"
      "statsmodels=0.14"
      "svt-av1=1.4"
      "sysroot_linux-64=2.12"
      "tangled-up-in-unicode=0.2"
      "tblib=2.0"
      "tenacity=8.2"
      "terminado=0.18"
      "text-unidecode=1.3"
      "textwrap3=0.9"
      "threadpoolctl=3.2"
      "thrift=0.19"
      "thrift_sasl=0.4"
      "tifffile=2022.10"
      "tiledb=2.13"
      "tinycss2=1.2"
      "tk=8.6"
      "tktable=2.10"
      "toml=0.10"
      "tomli=2.0"
      "toolz=0.12"
      "tqdm=4.64"
      "types-python-dateutil=2.8.19"
      "typing-extensions=4.8"
      "typing_extensions=4.8"
      "typing_inspect=0.9"
      "tzcode=2023c"
      "tzdata=2022g"
      "unicodedata2=15.1"
      "unixodbc=2.3"
      "uriparser=0.9"
      "urllib3=1.26"
      "visions=0.7"
      "wcwidth=0.2"
      "webencodings=0.5"
      "websocket-client=1.6"
      "wheel=0.38"
      "widgetsnbextension=4.0"
      "x264=1!164.3095"
      "x265=3.5"
      "xcb-util=0.4"
      "xcb-util-image=0.4"
      "xcb-util-keysyms=0.4"
      "xcb-util-renderutil=0.3"
      "xcb-util-wm=0.4"
      "xerces-c=3.2"
      "xkeyboard-config=2.38"
      "xorg-fixesproto=5.0"
      "xorg-inputproto=2.3"
      "xorg-kbproto=1.0"
      "xorg-libice=1.0"
      "xorg-libsm=1.2"
      "xorg-libx11=1.8"
      "xorg-libxau=1.0"
      "xorg-libxdmcp=1.1"
      "xorg-libxext=1.3"
      "xorg-libxfixes=5.0"
      "xorg-libxi=1.7"
      "xorg-libxrender=0.9"
      "xorg-libxt=1.3"
      "xorg-renderproto=0.11"
      "xorg-xextproto=7.3"
      "xorg-xproto=7.0"
      "xyzservices=2023.10"
      "xz=5.2"
      "yaml=0.2"
      "yaml-cpp=0.7"
      "yarl=1.9"
      "zeromq=4.3"
      "zfp=1.0"
      "zict=3.0"
      "zipp=3.17"
      "zlib=1.2"
      "zlib-ng=2.0"
      "zstandard=0.19"
      "zstd=1.5"
      # Transitive dependencies
)
readonly PIP_PACKAGES=(
      "keyrings-google-artifactregistry-auth==1.1.2"
      "sparksql-magic==0.0.3"
      "toree==0.5.*"
)
