#!/usr/bin/env bash

set -eux

readonly CLOUD_AGENTS_DL_URL="https://dl.google.com/cloudagents"

# Using debian 11 logging agent till containerisation.
function install_logging_agent() {
  loginfo "Setting up Cloud Logging Agent repository"
  local -r add_repo_sh="add-logging-agent-repo.sh"
  curl -fsS --retry-connrefused --retry 10 --retry-max-time 30 \
    "${CLOUD_AGENTS_DL_URL}/${add_repo_sh}" -o "${add_repo_sh}"
  bash "${add_repo_sh}"
  sed -i 's/bookworm/bullseye/g' /etc/apt/sources.list.d/google-cloud-logging.list
  DATAPROC_COMMON_PACKAGES+=("google-fluentd=1.9.12-1")
}

function install_monitoring_agent() {
  # Container image is pulled after containerd is installed.
  return
}

function logging_agent_service_name() {
  echo "google-fluentd"
}

function monitoring_agent_service_name() {
  echo "stackdriver-agent-ctr"
}
