#!/bin/bash

set -euo pipefail

source "${OS_BDUTIL_DIR}/bdutil_helpers.sh"

set -x

function add_nvidia_drivers_packages() {
  DATAPROC_OPTIONAL_COMPONENTS+=(nvidia-drivers)
  DATAPROC_COMMON_PACKAGES+=(nvidia-drivers)
}

function install_nvidia_container_toolkit() {
  local -r tar_file="nvidia-container-toolkit-${NVIDIA_CONTAINER_TOOLKIT_VERSION}.tar.gz"
  local -r output_dir="/tmp/nvidia-container-toolkit"

  mkdir -p "${output_dir}"
  download_resource "gs://nvidia-gpu-dist/${tar_file}" "${output_dir}"

  tar -xzf "${output_dir}/${tar_file}" -C "${output_dir}"

  dpkg -i "${output_dir}/"*.deb

  rm -rf "${output_dir}"
}

install_nvidia_container_toolkit
add_nvidia_drivers_packages
