function lock_mysql_connector() {
  # Do not upgrade MySQL connector after install as we symlink MySQL jar
  # and it can change after upgrade
  os_lock_package_version mysql-connector-j
}

function configure_mysqld() {
    echo "
[mysqld]

# Allow connections (e.g., Hive Metastore) from other master nodes to master 0
# in HA mode
bind-address = 0.0.0.0
" >> /etc/mysql/my.cnf

  # Settings for backwards compatibility with MySQL 5.7
  if is_version_at_least "${MYSQL_VERSION}" "8.0"; then
    echo "
# Disable binary logging (otherwise Ranger will fail to create functions)
skip-log-bin
" >> /etc/mysql/my.cnf
  fi
}

lock_mysql_connector
configure_mysql_driver_link
configure_mysqld