function ensure_myconf_link_correct() {
  # For debian12 some components (zeppelin) installs mariadb-common which
  # resets this alternative during image creation and on cluster startup
  # mariadb gets uninstalled leaving my.cnf pointer dangling still
  # pointing mariadb.cnf. This will create problems for
  # components (ex: ranger, hue)which needs ROOT password to configure.
  if is_debian12 &&
    [[ "${DATAPROC_IMAGE_TYPE}" == "standard" ]] &&
     is_version_at_least "${DATAPROC_IMAGE_VERSION}" '2.2'; then
    update-alternatives --set "my.cnf" "/etc/mysql/mysql.cnf"
  fi
}